[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: KDE Sub-Packaging Approach on Fedora



On Tue, 2006-06-20 at 23:48 +0200, Michael Schwendt wrote:
> On Tue, 20 Jun 2006 15:29:37 -0400, Jesse Keating wrote:
> 
> > On Tue, 2006-06-20 at 09:35 -0500, Rex Dieter wrote:
> > > Thanks.  I'm pretty sure the "bug" isn't as bad as I originally described. 
> > > Last I knew, however, was that yum did prefer an older "real" pkg over a
> > > newer "Provides:" one. 
> > 
> > Here is the scoop.
> > 
> > you have 'foo-0:2.4.6-1' as a package.  You then create 'foobar-0:1.2-3'
> > which has Obsoletes: foo; Provides: foo.  'foo' is left in the
> > repository.
> > 
> > 'yum install foo'  will find the package 'foo' and install that instead
> > of 'foobar'.  This is by design according to Seth when I last talked to
> > him about it.  Because you are asking for the package name not a
> > provides.  The package itself would have to be removed from the
> > repository.
> > 
> > Seth, is this still true?  I don't want to speak for you.
> 
> https://bugzilla.redhat.com/190116

yep - seems to be in NEEDINFO state.

but it works for me just fine.

I believe yum in cvs and soon to be in rawhide fixes it.
-sv



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]